OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_Array1OfLineFontEntity Class Reference

`#include <IGESBasic_Array1OfLineFontEntity.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESBasic_Array1OfLineFontEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESBasic_Array1OfLineFontEntity (const Handle(IGESData_LineFontEntity)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESData_LineFontEntity)&V)
Standard_EXPORT void | Destroy ()
| ~IGESBasic_Array1OfLineFontEntity ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESBasic_Array1OfLineFontEntity & | Assign (const IGESBasic_Array1OfLineFontEntity &Other)
const IGESBasic_Array1OfLineFontEntity & | operator= (const IGESBasic_Array1OfLineFontEntity &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_LineFontEntity)&Value)
const Handle_IGESData_LineFontEntity & | Value (const Standard_Integer Index) const
const Handle_IGESData_LineFontEntity & | operator() (const Standard_Integer Index) const
Handle_IGESData_LineFontEntity & | ChangeValue (const Standard_Integer Index)
Handle_IGESData_LineFontEntity & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESBasic_Array1OfLineFontEntity (const IGESBasic_Array1OfLineFontEntity &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_Array1OfLineFontEntity::IGESBasic_Array1OfLineFontEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESBasic_Array1OfLineFontEntity::IGESBasic_Array1OfLineFontEntity | ( | const Handle(IGESData_LineFontEntity)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESBasic_Array1OfLineFontEntity::~IGESBasic_Array1OfLineFontEntity | ( |  | ) | `[inline]`

Standard_EXPORT IGESBasic_Array1OfLineFontEntity::IGESBasic_Array1OfLineFontEntity | ( | const IGESBasic_Array1OfLineFontEntity & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESBasic_Array1OfLineFontEntity& IGESBasic_Array1OfLineFontEntity::Assign | ( | const IGESBasic_Array1OfLineFontEntity & | Other | ) |

Handle_IGESData_LineFontEntity& IGESBasic_Array1OfLineFontEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESBasic_Array1OfLineFontEntity::Destroy | ( |  | ) |

Standard_EXPORT void IGESBasic_Array1OfLineFontEntity::Init | ( | const Handle(IGESData_LineFontEntity)& | V | ) |

Standard_Boolean IGESBasic_Array1OfLineFontEntity::IsAllocated | ( |  | ) | const

Standard_Integer IGESBasic_Array1OfLineFontEntity::Length | ( |  | ) | const

Standard_Integer IGESBasic_Array1OfLineFontEntity::Lower | ( |  | ) | const

void IGESBasic_Array1OfLineFontEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESBasic_Array1OfLineFontEntity::operator new | ( | size_t | size | ) | `[inline]`

void* IGESBasic_Array1OfLineFontEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESData_LineFontEntity& IGESBasic_Array1OfLineFontEntity::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESData_LineFontEntity& IGESBasic_Array1OfLineFontEntity::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESBasic_Array1OfLineFontEntity& IGESBasic_Array1OfLineFontEntity::operator= | ( | const IGESBasic_Array1OfLineFontEntity & | Other | ) | `[inline]`

void IGESBasic_Array1OfLineFontEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_LineFontEntity)& | Value
| ) |

Standard_Integer IGESBasic_Array1OfLineFontEntity::Upper | ( |  | ) | const

const Handle_IGESData_LineFontEntity& IGESBasic_Array1OfLineFontEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESBasic_Array1OfLineFontEntity::isAllocated`[private]`

Standard_Integer IGESBasic_Array1OfLineFontEntity::myLowerBound`[private]`

Standard_Address IGESBasic_Array1OfLineFontEntity::myStart`[private]`

Standard_Integer IGESBasic_Array1OfLineFontEntity::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_Array1OfLineFontEntity.hxx